"""
	Programmer:	Keith G. Nemitz
	E-mail:		future@mousechief.com

	Copyright 2004 Keith G. Nemitz

	Version 1.d.00
"""
#Main contains the setup and exit code for the game.


"""main module, starts game and main loop"""

import sys
import os
import pygame
from pygame.rect import Rect
#import AppKit


import images
import faceEngn
import fnfFonts

import dangerAudio
import startupFaces
import dangerCentral

def main():
    #print "python: ", sys.version
    #print "pygame: ", pygame.version.ver
    #print "SDL:    ", pygame.get_sdl_version()
    
    try:
        gamemain()
    except KeyboardInterrupt:
        print 'Control-C interrupted... Exiting'
    pass

#def gamemain(args):
def gamemain():
    #make sure we're in the correct directory
    fullpath = os.path.abspath(sys.argv[0])
    dir = os.path.split(fullpath)[0]
    #change the directory to this file
    os.chdir(dir)
    #print dir;

    #initialize all our code (not load resources)
    pygame.mixer.pre_init(22050,-16,2,2048);
    pygame.init();
    fnfFonts.InitFnFFonts();
    fnfFonts.InitGameFonts();
    dangerAudio.InitSounds();

    size = 800, 600 #494.5 is golden
    images.Init(size, "Daniel Gerard Ross H.S.");

    pygame.display.get_surface().fill((0,0,0))
    pygame.display.flip();
    #pygame.time.wait(2000);

    #AppKit.NSApp().mainMenu().setMenuBarVisible_(False)

	#StartFaceEngine
    faceEngn.InitFnF();
    dangerCentral.Init();
    #taunt.InitTaunts();
    faceEngn.RunFaces(startupFaces.FirstFace());

    #game is finished at this point, do any
    #uninitialization needed
    #if full:
    #    pygame.display.toggle_fullscreen()
    pygame.quit()
    pass


#call the "main" function if running this script
if __name__ == '__main__': main()
#main ([])

